import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    id("com.github.johnrengelman.shadow") version "5.0.0"
    id("de.fayard.buildSrcVersions") version "0.3.2"
    kotlin("jvm") version "1.3.21"
    application
}

group = "com.anthonycicchetti"
version = "0.1.0"

repositories {
    mavenCentral()
}

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    implementation(Libs.javalin)
    implementation(Libs.slf4j_simple)
    implementation(Libs.jackson_databind)
}

application {
    mainClassName = "MainKt"
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "1.8"
}